int photodiode = A0; //  la photodiode est sur la PIN A0

float tension = 0.0 ; // déclaration de la variable tension
double mesure = 0.0 ; // déclaration de la variable mesure

void setup() { // début de la fonction "setup" qui s'exécute une seule fois
  pinMode(photodiode, INPUT); //photodiode est une entrée
  Serial.begin(9600); // initialiser la communication entre la carte et l'ordinateur
}

void loop() { // début de la fonction "loop" qui s'exécute en boucle tant que la carte est relié à une alimentation
  mesure = analogRead(photodiode); // lire la valeur récupérée par la photodiode
  tension = (5.0/1023.0)*mesure; // calcul de la tension en volt (V)
  Serial.print("Mesure numérique : "); //afficher le texte entre "" ici : Mesure numérique
  Serial.print(mesure); // afficher la valeur de la variable mesure sur le moniteur série
  Serial.print("    ;    "); //séparation par point virgule des différents éléments à afficher
  Serial.print("Tension : "); //afficher le texte entre "" ici : Tension
  Serial.print(tension); // afficher la valeur de la variable tension sur le moniteur série
  Serial.println(" V"); //afficher le texte entre "" ici : V

  delay(2500); // attendre 2 500 ms soit 2,5 s
}
